## org.eclipse.jst.jsf.common.sets
Class AxiomaticSetUtil

    java.lang.Object
      org.eclipse.jst.jsf.common.sets.AxiomaticSetUtil

    public class AxiomaticSetUtil

extends java.lang.Object

Generic (unoptimized) utilities for doing set operations.

Provisional API - subject to change

Constructor Summary
`AxiomaticSetUtil()`

Method Summary
`static void` `intersect(AxiomaticSet newSet, AxiomaticSet firstSet, AxiomaticSet secondSet)` Creates an intersection of firstSet and secondSet in newSet
`static boolean` `isDisjoint(AxiomaticSet firstSet, AxiomaticSet secondSet)`
`static AxiomaticSet` `subtract(AxiomaticSet firstOperand, AxiomaticSet secondOperand)`
`static void` `union(AxiomaticSet newSet, AxiomaticSet firstSet, AxiomaticSet secondSet)` Creates the union of firstSet and secondSet in newSet.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxiomaticSetUtil

    public AxiomaticSetUtil()

Method Detail

### union

    public static void union(AxiomaticSet newSet,
                             AxiomaticSet firstSet,
                             AxiomaticSet secondSet)

  Creates the union of firstSet and secondSet in newSet.

  Parameters:
    `newSet` -
    `firstSet` -
    `secondSet` -

### intersect

    public static void intersect(AxiomaticSet newSet,
                                 AxiomaticSet firstSet,
                                 AxiomaticSet secondSet)

  Creates an intersection of firstSet and secondSet in newSet

  Parameters:
    `newSet` -
    `firstSet` -
    `secondSet` -

### isDisjoint

    public static boolean isDisjoint(AxiomaticSet firstSet,
                                     AxiomaticSet secondSet)

  Parameters:
    `firstSet` -
    `secondSet` -
  Returns:
    true firstSet and secondSet have no common elements (their intersection is empty)

### subtract

    public static AxiomaticSet subtract(AxiomaticSet firstOperand,
                                        AxiomaticSet secondOperand)

  Parameters:
    `firstOperand` -
    `secondOperand` -
  Returns:
    the set formed by removing the intersection of firstOperand and secondOperand from firstOperand, leaving only those elements in firstOperand that are not in secondOperand